Query Responsible Persons
curl --request GET \
--url https://api.jtl-cloud.com/erp/v1/responsiblePersons \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v1/responsiblePersons"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v1/responsiblePersons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": 123,
"Number": "<string>",
"Description": "<string>",
"Address": {
"Id": 123,
"Company": "<string>",
"Company2": "<string>",
"FormOfAddress": "<string>",
"Title": "<string>",
"FirstName": "<string>",
"LastName": "<string>",
"Street": "<string>",
"Address2": "<string>",
"PostalCode": "<string>",
"City": "<string>",
"State": "<string>",
"CountryIso": "<string>",
"VatID": "<string>",
"PhoneNumber": "<string>",
"MobilePhoneNumber": "<string>",
"EmailAddress": "<string>",
"Fax": "<string>"
},
"Created": "2023-11-07T05:31:56Z",
"LastChanged": "2023-11-07T05:31:56Z",
"IsActive": true,
"LanguageKey": 123
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}item
Query Responsible Persons
Query all ResponsiblePerson
GET
/
v1
/
responsiblePersons
Query Responsible Persons
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Response
Returns all ResponsiblePerson.
Unique ID to identify a Contact.
Unique Number of the ResponsiblePerson.
Manufacturer description.
The customer's default address.
Show child attributes
Show child attributes
The DateTime of Creation.
The DateTime of the Lastchange.
The ResponsiblePerson is active
The Default Language of the ResponsiblePerson
Was this page helpful?
⌘I